## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.constant
Class ConstantOptionsPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.constant.ConstantOptionsPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class ConstantOptionsPage

extends org.eclipse.jface.wizard.WizardPage
implements org.eclipse.swt.events.SelectionListener

Field Summary
`static java.lang.Object` `NUMERIC_CONSTANT`
`static java.lang.Object` `STRING_CONSTANT`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ConstantOptionsPage(SQLQueryObject sqlStatementArg, QueryValueExpression sqlExpr)`

Method Summary
`boolean` `canFlipToNextPage()`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`java.lang.Object` `getConstantType()`
`QueryValueExpression` `getSQLExpression()`
`void` `setVisible(boolean visible)`
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent se)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### NUMERIC_CONSTANT

    public static final java.lang.Object NUMERIC_CONSTANT

### STRING_CONSTANT

    public static final java.lang.Object STRING_CONSTANT

Constructor Detail

### ConstantOptionsPage

    public ConstantOptionsPage(SQLQueryObject sqlStatementArg,
                               QueryValueExpression sqlExpr)

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent se)

  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### getSQLExpression

    public QueryValueExpression getSQLExpression()

### canFlipToNextPage

    public boolean canFlipToNextPage()

  Specified by:
    `canFlipToNextPage` in interface `org.eclipse.jface.wizard.IWizardPage`
  Overrides:
    `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`

### getConstantType

    public java.lang.Object getConstantType()